<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Zelfondertekend certificaat installeren</title>
	<link rel="stylesheet" href="main.css">
</head>
<body>
	<main>
		<h1>Zelfondertekend certificaat installeren</h1>
		<p>Om deze applicatie te gebruiken, moet je het zelfondertekende SSL-certificaat installeren.</p>

		<section on-platform="win">
			<h2>Instructies voor Windows</h2>
			<ol>
				<li>Dubbelklik op het bestand <a href="#server.cert">server.cert</a> om de certificaatinstallatiewizard te openen.</li>
				<li>Selecteer "Certificaat installeren" en kies "Lokaal computeraccount".</li>
				<li>Selecteer "Alle certificaten in de volgende opslag plaatsen" en kies "Vertrouwde basiscertificeringsinstanties".</li>
				<li>Voltooi de wizard en bevestig de installatie.</li>
				<li>Herstart de nan•web applicatie</li>
			</ol>
		</section>

		<section on-platform="mac">
			<h2>Instructies voor Mac</h2>
			<ol>
				<li>Open de Sleutelhanger-applicatie.</li>
				<li>Sleur het bestand <a href="#server.cert">server.cert</a> naar de sleutelhanger "Systeem".</li>
				<li>Zoek het certificaat in de lijst <code>localhost</code>, dubbelklik erop en vouw de sectie "Vertrouwen" uit.</li>
				<li>Stel "Bij gebruik van dit certificaat" in op "Altijd vertrouwen".</li>
				<li>Herstart de nan•web applicatie</li>
			</ol>
		</section>

		<section on-platform="lin">
			<h2>Instructies voor Linux</h2>
			<ol>
				<li>Kopieer het certificaat naar de map <code>/usr/local/share/ca-certificates/</code>:
					<pre>sudo cp <loc file="server.cert"></loc> /usr/local/share/ca-certificates/server.crt</pre>
				</li>
				<li>Werk de CA-certificaten bij:
					<pre>sudo update-ca-certificates</pre>
				</li>
				<li>Herstart de nan•web applicatie</li>
			</ol>
		</section>
	</main>

	<script src="main.js" type="module"></script>
</body>
</html>
